Name: steghide
Version: 0.5.1
Release: alt2

Summary: A steganography hiding tool
License: GPL
Group: File tools
URL: http://steghide.sourceforge.net/
Source: http://dl.sourceforge.net/steghide/steghide-%version.tar.bz2
Patch0: steghide-0.5.1-gcc34.patch
Patch1: steghide-0.5.1-gcc4.patch

BuildRequires: automake_1.8 autoconf_2.5

# Automatically added by buildreq on Tue May 16 2006
BuildRequires: doxygen gcc-c++ libjpeg-devel libmcrypt-devel libmhash-devel zlib-devel

%description
Steghide is a steganography program that is able to hide data in various
kinds of image and audio files. The color-frequencies (for image files) or
sample-frequencies (for audio files) are not changed, thus making the
embedding resistant against first-order statistical tests. Features of
steghide include compression and encryption of embedded data, embedding of
a checksum to verify the integrity of the extracted data, and support for
JPEG, BMP, WAV, and AU files.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
aclocal-1.8
autoconf-2.5
touch NEWS ChangeLog AUTHORS
automake-1.8
%configure
%make_build

%install
cp mkinstalldirs ..
%make_install install DESTDIR=%buildroot
rm -rf %buildroot%_docdir/%name

%find_lang %name

%files -f %name.lang
%doc BUGS CREDITS HISTORY README
%_bindir/*
%_man1dir/*

%changelog
* Tue May 16 2006 Victor Forsyuk <force@altlinux.ru> 0.5.1-alt2
- Fix FTBFS with gcc4.

* Mon Jul 18 2005 Victor Forsyuk <force@altlinux.ru> 0.5.1-alt1
- Initial build.
